package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingVersionCommitRequest struct {
	/*
	   版本号提交参数     */
	Param *domain.AlibabaHmMarketingVersionCommitSeasonVersionCommitParam `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingVersionCommitRequest) SetParam(v domain.AlibabaHmMarketingVersionCommitSeasonVersionCommitParam) *AlibabaHmMarketingVersionCommitRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingVersionCommitRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingVersionCommitRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
